%global perlname Proc-Daemon

Name:      perl-Proc-Daemon
Version:   0.14
Release:   9%{?dist}
Summary:   Run Perl program as a daemon process 

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/Proc-Daemon/
Source:    http://search.cpan.org/CPAN/authors/id/D/DE/DETI/Proc/%{perlname}-%{version}.tar.gz

# CVE-2013-7135 https://rt.cpan.org/Ticket/Display.html?id=91450
Patch0:    debian_patches_pid.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Test::More)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Proc::ProcessTable)

%{?perl_default_filter}


%description
This is version %{version} of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.


%prep
%setup -q -n %{perlname}-%{version}

%patch0 -p1 -b .cve-2013-7135

mv Changes Changes.orig
iconv -f ISO-8859-1 -t UTF-8 Changes.orig | sed -e 's/\r//' >Changes
touch -r Changes.orig Changes

mv README README.orig
sed -e 's/\r//' README.orig >README
touch -r README.orig README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
chmod -R u+rwX,go+rX,go-w %{buildroot}/*


%clean
rm -rf %{buildroot}


%check
make test


%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/Proc*
%{perl_vendorlib}/Proc


%changelog
* Wed Dec 18 2013 Remi Collet <remi@fedoraproject.org> 0.14-9
- fix pidfile with mode 666, patch from debian, CVE-2013-7135
- update to 0.14
  http://cpansearch.perl.org/src/DETI/Proc-Daemon-0.14/Changes
- fix wrong-file-end-of-line-encoding and file-not-utf8
- add BR: perl(Proc::ProcessTable) and BR: perl(Test::More)
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Sun Feb 11 2006 Remi Collet <Fedora@famillecollet.com> 0.03-1
- initial spec for Extras
